from luxtronik.datatypes import *


class Parameters:
    parameters = {
        0: ("ID_Transfert_LuxNet", Unknown, False),
        1: ("ID_Einst_WK_akt", Celsius, False),
        2: ("ID_Einst_BWS_akt", Unknown, False),
        3: ("ID_Ba_Hz_akt", HeatingMode, True),
        4: ("ID_Ba_Bw_akt", HotWaterMode, False),
        5: ("ID_Ba_Al_akt", Unknown, False),
        6: ("ID_SU_FrkdHz", Unknown, False),
        7: ("ID_SU_FrkdBw", Unknown, False),
        8: ("ID_SU_FrkdAl", Unknown, False),
        9: ("ID_Einst_HReg_akt", Unknown, False),
        10: ("ID_Einst_HzHwMAt_akt", Unknown, False),
        11: ("ID_Einst_HzHwHKE_akt", Unknown, False),
        12: ("ID_Einst_HzHKRANH_akt", Unknown, False),
        13: ("ID_Einst_HzHKRABS_akt", Unknown, False),
        14: ("ID_Einst_HzMK1E_akt", Unknown, False),
        15: ("ID_Einst_HzMK1ANH_akt", Unknown, False),
        16: ("ID_Einst_HzMK1ABS_akt", Unknown, False),
        17: ("ID_Einst_HzFtRl_akt", Unknown, False),
        18: ("ID_Einst_HzFtMK1Vl_akt", Unknown, False),
        19: ("ID_Einst_SUBW_akt", Unknown, False),
        20: ("ID_Einst_BwTDI_akt_MO", Unknown, False),
        21: ("ID_Einst_BwTDI_akt_DI", Unknown, False),
        22: ("ID_Einst_BwTDI_akt_MI", Unknown, False),
        23: ("ID_Einst_BwTDI_akt_DO", Unknown, False),
        24: ("ID_Einst_BwTDI_akt_FR", Unknown, False),
        25: ("ID_Einst_BwTDI_akt_SA", Unknown, False),
        26: ("ID_Einst_BwTDI_akt_SO", Unknown, False),
        27: ("ID_Einst_BwTDI_akt_AL", Unknown, False),
        28: ("ID_Einst_AnlKonf_akt", Unknown, False),
        29: ("ID_Einst_Sprache_akt", Unknown, False),
        30: ("ID_Switchoff_Zahler", Unknown, False),
        31: ("ID_Switchoff_index", Unknown, False),
        32: ("ID_Einst_EvuTyp_akt", Unknown, False),
        33: ("ID_Einst_RFVEinb_akt", Unknown, False),
        34: ("ID_Einst_AbtZykMax_akt", Unknown, False),
        35: ("ID_Einst_HREinb_akt", Unknown, False),
        36: ("ID_Einst_ZWE1Art_akt", Unknown, False),
        37: ("ID_Einst_ZWE1Fkt_akt", Unknown, False),
        38: ("ID_Einst_ZWE2Art_akt", Unknown, False),
        39: ("ID_Einst_ZWE2Fkt_akt", Unknown, False),
        40: ("ID_Einst_BWBer_akt", Unknown, False),
        41: ("ID_Einst_En_Inst", Unknown, False),
        42: ("ID_Einst_MK1Typ_akt", Unknown, False),
        43: ("ID_Einst_ABTLuft_akt", Unknown, False),
        44: ("ID_Einst_TLAbt_akt", Unknown, False),
        45: ("ID_Einst_LAbtTime_akt", Unknown, False),
        46: ("ID_Einst_ASDTyp_akt", Unknown, False),
        47: ("ID_Einst_LGST_akt", Unknown, False),
        48: ("ID_Einst_BwWpTime_akt", Unknown, False),
        49: ("ID_Einst_Popt_akt", Unknown, False),
        50: ("ID_Einst_Kurzprog_akt", Unknown, False),
        51: ("ID_Timer_Kurzprog_akt", Unknown, False),
        52: ("ID_Einst_ManAbt_akt", Unknown, False),
        53: ("ID_Einst_Ahz_akt", Unknown, False),
        54: ("ID_Einst_TVL_Ahz_1", Unknown, False),
        55: ("ID_Einst_TVL_Ahz_2", Unknown, False),
        56: ("ID_Einst_TVL_Ahz_3", Unknown, False),
        57: ("ID_Einst_TVL_Ahz_4", Unknown, False),
        58: ("ID_Einst_TVL_Ahz_5", Unknown, False),
        59: ("ID_Einst_TVL_Ahz_6", Unknown, False),
        60: ("ID_Einst_TVL_Ahz_7", Unknown, False),
        61: ("ID_Einst_TVL_Ahz_8", Unknown, False),
        62: ("ID_Einst_TVL_Ahz_9", Unknown, False),
        63: ("ID_Einst_TVL_Ahz_10", Unknown, False),
        64: ("ID_Einst_TVL_Std_1", Unknown, False),
        65: ("ID_Einst_TVL_Std_2", Unknown, False),
        66: ("ID_Einst_TVL_Std_3", Unknown, False),
        67: ("ID_Einst_TVL_Std_4", Unknown, False),
        68: ("ID_Einst_TVL_Std_5", Unknown, False),
        69: ("ID_Einst_TVL_Std_6", Unknown, False),
        70: ("ID_Einst_TVL_Std_7", Unknown, False),
        71: ("ID_Einst_TVL_Std_8", Unknown, False),
        72: ("ID_Einst_TVL_Std_9", Unknown, False),
        73: ("ID_Einst_TVL_Std_10", Unknown, False),
        74: ("ID_Einst_BWS_Hyst_akt", Unknown, False),
        75: ("ID_Temp_TBW_BwHD_saved", Unknown, False),
        76: ("ID_Einst_ABT1_akt", Unknown, False),
        77: ("ID_Einst_LABTpaus_akt", Unknown, False),
        78: ("ID_AHZ_state_akt", Unknown, False),
        79: ("ID_Sollwert_TRL_HZ_AHZ", Unknown, False),
        80: ("ID_AHP_valid_records", Unknown, False),
        81: ("ID_Timer_AHZ_akt", Unknown, False),
        82: ("ID_Einst_BWTINP_akt", Unknown, False),
        83: ("ID_Einst_ZUPTYP_akt", Unknown, False),
        84: ("ID_Sollwert_TLG_max", Unknown, False),
        85: ("ID_Einst_BWZIP_akt", Unknown, False),
        86: ("ID_Einst_ERRmZWE_akt", Unknown, False),
        87: ("ID_Einst_TRBegr_akt", Unknown, False),
        88: ("ID_Einst_HRHyst_akt", Unknown, False),
        89: ("ID_Einst_TRErhmax_akt", Unknown, False),
        90: ("ID_Einst_ZWEFreig_akt", Unknown, False),
        91: ("ID_Einst_TAmax_akt", Unknown, False),
        92: ("ID_Einst_TAmin_akt", Unknown, False),
        93: ("ID_Einst_TWQmin_akt", Unknown, False),
        94: ("ID_Einst_THGmax_akt", Unknown, False),
        95: ("ID_Einst_FRGT2VD_akt", Unknown, False),
        96: ("ID_Einst_TV2VDBW_akt", Unknown, False),
        97: ("ID_Einst_SuAll_akt", Unknown, False),
        98: ("ID_Einst_TAbtEnd_akt", Unknown, False),
        99: ("ID_Einst_NrKlingel_akt", Unknown, False),
        100: ("ID_Einst_BWStyp_akt", Unknown, False),
        101: ("ID_Einst_ABT2_akt", Unknown, False),
        102: ("ID_Einst_UeVd_akt", Unknown, False),
        103: ("ID_Einst_RTyp_akt", Unknown, False),
        104: ("ID_Einst_AhpM_akt", Unknown, False),
        105: ("ID_Soll_BWS_akt", Celsius, True),
        106: ("ID_Timer_Password", Unknown, False),
        107: ("ID_Einst_Zugangscode", Unknown, False),
        108: ("ID_Einst_BA_Kuehl_akt", CoolingMode, True),
        109: ("ID_Sollwert_Kuehl1_akt", Unknown, False),
        110: ("ID_Einst_KuehlFreig_akt", Celsius, True),
        111: ("ID_Einst_TAbsMin_akt", Unknown, False),
        112: ("ID_TWQmin_saved", Unknown, False),
        113: ("ID_CWP_saved", Unknown, False),
        114: ("ID_Einst_Anode_akt", Unknown, False),
        115: ("ID_Timer_pexoff_akt", Unknown, False),
        116: ("ID_Einst_AnlPrio_Hzakt", Unknown, False),
        117: ("ID_Einst_AnlPrio_Bwakt", Unknown, False),
        118: ("ID_Einst_AnlPrio_Swakt", Unknown, False),
        119: ("ID_Ba_Sw_akt", PoolMode, True),
        120: ("ID_Einst_RTypMK1_akt", Unknown, False),
        121: ("ID_Einst_RTypMK2_akt", Unknown, False),
        122: ("ID_Einst_TDC_Ein_akt", Unknown, False),
        123: ("ID_Einst_TDC_Aus_akt", Unknown, False),
        124: ("ID_Einst_TDC_Max_akt", Celsius, True),
        125: ("ID_Einst_HysHzExEn_akt", Unknown, False),
        126: ("ID_Einst_HysBwExEn_akt", Unknown, False),
        127: ("ID_Einst_ZWE3Art_akt", Unknown, False),
        128: ("ID_Einst_ZWE3Fkt_akt", Unknown, False),
        129: ("ID_Einst_HzSup_akt", Unknown, False),
        130: ("ID_Einst_MK2Typ_akt", Unknown, False),
        131: ("ID_Einst_KuTyp_akt", Unknown, False),
        132: ("ID_Sollwert_KuCft1_akt", Celsius, True),
        133: ("ID_Sollwert_KuCft2_akt", Celsius, True),
        134: ("ID_Sollwert_AtDif1_akt", Celsius, True),
        135: ("ID_Sollwert_AtDif2_akt", Celsius, True),
        136: ("ID_SU_FrkdSwb", Unknown, False),
        137: ("ID_Einst_SwbBer_akt", Unknown, False),
        138: ("ID_Einst_TV2VDSWB_akt", Unknown, False),
        139: ("ID_Einst_MinSwan_Time_akt", Unknown, False),
        140: ("ID_Einst_SuMk2_akt", Unknown, False),
        141: ("ID_Einst_HzMK2E_akt", Unknown, False),
        142: ("ID_Einst_HzMK2ANH_akt", Unknown, False),
        143: ("ID_Einst_HzMK2ABS_akt", Unknown, False),
        144: ("ID_Einst_HzMK2Hgr_akt", Unknown, False),
        145: ("ID_Einst_HzFtMK2Vl_akt", Unknown, False),
        146: ("ID_Temp_THG_BwHD_saved", Unknown, False),
        147: ("ID_Temp_TA_BwHD_saved", Unknown, False),
        148: ("ID_Einst_BwHup_akt", Unknown, False),
        149: ("ID_Einst_TVLmax_akt", Unknown, False),
        150: ("ID_Einst_MK1LzFaktor_akt", Unknown, False),
        151: ("ID_Einst_MK2LzFaktor_akt", Unknown, False),
        152: ("ID_Einst_MK1PerFaktor_akt", Unknown, False),
        153: ("ID_Einst_MK2PerFaktor_akt", Unknown, False),
        154: ("ID_Entl_Zyklus_akt", Unknown, False),
        155: ("ID_Einst_Entl_time_akt", Unknown, False),
        156: ("ID_Entl_Pause", Unknown, False),
        157: ("ID_Entl_timer", Unknown, False),
        158: ("ID_Einst_Entl_akt", Unknown, False),
        159: ("ID_Ahz_HLeist_confirmed", Unknown, False),
        160: ("ID_FirstInit_akt", Unknown, False),
        161: ("ID_Einst_SuAll_akt2", Unknown, False),
        162: ("ID_Einst_SuAllWo_zeit_0_0", Unknown, False),
        163: ("ID_Einst_SuAllWo_zeit_0_1", Unknown, False),
        164: ("ID_Einst_SuAllWo_zeit_1_0", Unknown, False),
        165: ("ID_Einst_SuAllWo_zeit_1_1", Unknown, False),
        166: ("ID_Einst_SuAllWo_zeit_2_0", Unknown, False),
        167: ("ID_Einst_SuAllWo_zeit_2_1", Unknown, False),
        168: ("ID_Einst_SuAll25_zeit_0_0", Unknown, False),
        169: ("ID_Einst_SuAll25_zeit_0_1", Unknown, False),
        170: ("ID_Einst_SuAll25_zeit_1_0", Unknown, False),
        171: ("ID_Einst_SuAll25_zeit_1_1", Unknown, False),
        172: ("ID_Einst_SuAll25_zeit_2_0", Unknown, False),
        173: ("ID_Einst_SuAll25_zeit_2_1", Unknown, False),
        174: ("ID_Einst_SuAll25_zeit_0_2", Unknown, False),
        175: ("ID_Einst_SuAll25_zeit_0_3", Unknown, False),
        176: ("ID_Einst_SuAll25_zeit_1_2", Unknown, False),
        177: ("ID_Einst_SuAll25_zeit_1_3", Unknown, False),
        178: ("ID_Einst_SuAll25_zeit_2_2", Unknown, False),
        179: ("ID_Einst_SuAll25_zeit_2_3", Unknown, False),
        180: ("ID_Einst_SuAllTg_zeit_0_0", Unknown, False),
        181: ("ID_Einst_SuAllTg_zeit_0_1", Unknown, False),
        182: ("ID_Einst_SuAllTg_zeit_1_0", Unknown, False),
        183: ("ID_Einst_SuAllTg_zeit_1_1", Unknown, False),
        184: ("ID_Einst_SuAllTg_zeit_2_0", Unknown, False),
        185: ("ID_Einst_SuAllTg_zeit_2_1", Unknown, False),
        186: ("ID_Einst_SuAllTg_zeit_0_2", Unknown, False),
        187: ("ID_Einst_SuAllTg_zeit_0_3", Unknown, False),
        188: ("ID_Einst_SuAllTg_zeit_1_2", Unknown, False),
        189: ("ID_Einst_SuAllTg_zeit_1_3", Unknown, False),
        190: ("ID_Einst_SuAllTg_zeit_2_2", Unknown, False),
        191: ("ID_Einst_SuAllTg_zeit_2_3", Unknown, False),
        192: ("ID_Einst_SuAllTg_zeit_0_4", Unknown, False),
        193: ("ID_Einst_SuAllTg_zeit_0_5", Unknown, False),
        194: ("ID_Einst_SuAllTg_zeit_1_4", Unknown, False),
        195: ("ID_Einst_SuAllTg_zeit_1_5", Unknown, False),
        196: ("ID_Einst_SuAllTg_zeit_2_4", Unknown, False),
        197: ("ID_Einst_SuAllTg_zeit_2_5", Unknown, False),
        198: ("ID_Einst_SuAllTg_zeit_0_6", Unknown, False),
        199: ("ID_Einst_SuAllTg_zeit_0_7", Unknown, False),
        200: ("ID_Einst_SuAllTg_zeit_1_6", Unknown, False),
        201: ("ID_Einst_SuAllTg_zeit_1_7", Unknown, False),
        202: ("ID_Einst_SuAllTg_zeit_2_6", Unknown, False),
        203: ("ID_Einst_SuAllTg_zeit_2_7", Unknown, False),
        204: ("ID_Einst_SuAllTg_zeit_0_8", Unknown, False),
        205: ("ID_Einst_SuAllTg_zeit_0_9", Unknown, False),
        206: ("ID_Einst_SuAllTg_zeit_1_8", Unknown, False),
        207: ("ID_Einst_SuAllTg_zeit_1_9", Unknown, False),
        208: ("ID_Einst_SuAllTg_zeit_2_8", Unknown, False),
        209: ("ID_Einst_SuAllTg_zeit_2_9", Unknown, False),
        210: ("ID_Einst_SuAllTg_zeit_0_10", Unknown, False),
        211: ("ID_Einst_SuAllTg_zeit_0_11", Unknown, False),
        212: ("ID_Einst_SuAllTg_zeit_1_10", Unknown, False),
        213: ("ID_Einst_SuAllTg_zeit_1_11", Unknown, False),
        214: ("ID_Einst_SuAllTg_zeit_2_10", Unknown, False),
        215: ("ID_Einst_SuAllTg_zeit_2_11", Unknown, False),
        216: ("ID_Einst_SuAllTg_zeit_0_12", Unknown, False),
        217: ("ID_Einst_SuAllTg_zeit_0_13", Unknown, False),
        218: ("ID_Einst_SuAllTg_zeit_1_12", Unknown, False),
        219: ("ID_Einst_SuAllTg_zeit_1_13", Unknown, False),
        220: ("ID_Einst_SuAllTg_zeit_2_12", Unknown, False),
        221: ("ID_Einst_SuAllTg_zeit_2_13", Unknown, False),
        222: ("ID_Einst_SuHkr_akt", Unknown, False),
        223: ("ID_Einst_SuHkrW0_zeit_0_0", Unknown, False),
        224: ("ID_Einst_SuHkrW0_zeit_0_1", Unknown, False),
        225: ("ID_Einst_SuHkrW0_zeit_1_0", Unknown, False),
        226: ("ID_Einst_SuHkrW0_zeit_1_1", Unknown, False),
        227: ("ID_Einst_SuHkrW0_zeit_2_0", Unknown, False),
        228: ("ID_Einst_SuHkrW0_zeit_2_1", Unknown, False),
        229: ("ID_Einst_SuHkr25_zeit_0_0", Unknown, False),
        230: ("ID_Einst_SuHkr25_zeit_0_1", Unknown, False),
        231: ("ID_Einst_SuHkr25_zeit_1_0", Unknown, False),
        232: ("ID_Einst_SuHkr25_zeit_1_1", Unknown, False),
        233: ("ID_Einst_SuHkr25_zeit_2_0", Unknown, False),
        234: ("ID_Einst_SuHkr25_zeit_2_1", Unknown, False),
        235: ("ID_Einst_SuHkr25_zeit_0_2", Unknown, False),
        236: ("ID_Einst_SuHkr25_zeit_0_3", Unknown, False),
        237: ("ID_Einst_SuHkr25_zeit_1_2", Unknown, False),
        238: ("ID_Einst_SuHkr25_zeit_1_3", Unknown, False),
        239: ("ID_Einst_SuHkr25_zeit_2_2", Unknown, False),
        240: ("ID_Einst_SuHkr25_zeit_2_3", Unknown, False),
        241: ("ID_Einst_SuHkrTG_zeit_0_0", Unknown, False),
        242: ("ID_Einst_SuHkrTG_zeit_0_1", Unknown, False),
        243: ("ID_Einst_SuHkrTG_zeit_1_0", Unknown, False),
        244: ("ID_Einst_SuHkrTG_zeit_1_1", Unknown, False),
        245: ("ID_Einst_SuHkrTG_zeit_2_0", Unknown, False),
        246: ("ID_Einst_SuHkrTG_zeit_2_1", Unknown, False),
        247: ("ID_Einst_SuHkrTG_zeit_0_2", Unknown, False),
        248: ("ID_Einst_SuHkrTG_zeit_0_3", Unknown, False),
        249: ("ID_Einst_SuHkrTG_zeit_1_2", Unknown, False),
        250: ("ID_Einst_SuHkrTG_zeit_1_3", Unknown, False),
        251: ("ID_Einst_SuHkrTG_zeit_2_2", Unknown, False),
        252: ("ID_Einst_SuHkrTG_zeit_2_3", Unknown, False),
        253: ("ID_Einst_SuHkrTG_zeit_0_4", Unknown, False),
        254: ("ID_Einst_SuHkrTG_zeit_0_5", Unknown, False),
        255: ("ID_Einst_SuHkrTG_zeit_1_4", Unknown, False),
        256: ("ID_Einst_SuHkrTG_zeit_1_5", Unknown, False),
        257: ("ID_Einst_SuHkrTG_zeit_2_4", Unknown, False),
        258: ("ID_Einst_SuHkrTG_zeit_2_5", Unknown, False),
        259: ("ID_Einst_SuHkrTG_zeit_0_6", Unknown, False),
        260: ("ID_Einst_SuHkrTG_zeit_0_7", Unknown, False),
        261: ("ID_Einst_SuHkrTG_zeit_1_6", Unknown, False),
        262: ("ID_Einst_SuHkrTG_zeit_1_7", Unknown, False),
        263: ("ID_Einst_SuHkrTG_zeit_2_6", Unknown, False),
        264: ("ID_Einst_SuHkrTG_zeit_2_7", Unknown, False),
        265: ("ID_Einst_SuHkrTG_zeit_0_8", Unknown, False),
        266: ("ID_Einst_SuHkrTG_zeit_0_9", Unknown, False),
        267: ("ID_Einst_SuHkrTG_zeit_1_8", Unknown, False),
        268: ("ID_Einst_SuHkrTG_zeit_1_9", Unknown, False),
        269: ("ID_Einst_SuHkrTG_zeit_2_8", Unknown, False),
        270: ("ID_Einst_SuHkrTG_zeit_2_9", Unknown, False),
        271: ("ID_Einst_SuHkrTG_zeit_0_10", Unknown, False),
        272: ("ID_Einst_SuHkrTG_zeit_0_11", Unknown, False),
        273: ("ID_Einst_SuHkrTG_zeit_1_10", Unknown, False),
        274: ("ID_Einst_SuHkrTG_zeit_1_11", Unknown, False),
        275: ("ID_Einst_SuHkrTG_zeit_2_10", Unknown, False),
        276: ("ID_Einst_SuHkrTG_zeit_2_11", Unknown, False),
        277: ("ID_Einst_SuHkrTG_zeit_0_12", Unknown, False),
        278: ("ID_Einst_SuHkrTG_zeit_0_13", Unknown, False),
        279: ("ID_Einst_SuHkrTG_zeit_1_12", Unknown, False),
        280: ("ID_Einst_SuHkrTG_zeit_1_13", Unknown, False),
        281: ("ID_Einst_SuHkrTG_zeit_2_12", Unknown, False),
        282: ("ID_Einst_SuHkrTG_zeit_2_13", Unknown, False),
        283: ("ID_Einst_SuMk1_akt", Unknown, False),
        284: ("ID_Einst_SuMk1W0_zeit_0_0", Unknown, False),
        285: ("ID_Einst_SuMk1W0_zeit_0_1", Unknown, False),
        286: ("ID_Einst_SuMk1W0_zeit_1_0", Unknown, False),
        287: ("ID_Einst_SuMk1W0_zeit_1_1", Unknown, False),
        288: ("ID_Einst_SuMk1W0_zeit_2_0", Unknown, False),
        289: ("ID_Einst_SuMk1W0_zeit_2_1", Unknown, False),
        290: ("ID_Einst_SuMk125_zeit_0_0", Unknown, False),
        291: ("ID_Einst_SuMk125_zeit_0_1", Unknown, False),
        292: ("ID_Einst_SuMk125_zeit_1_0", Unknown, False),
        293: ("ID_Einst_SuMk125_zeit_1_1", Unknown, False),
        294: ("ID_Einst_SuMk125_zeit_2_0", Unknown, False),
        295: ("ID_Einst_SuMk125_zeit_2_1", Unknown, False),
        296: ("ID_Einst_SuMk125_zeit_0_2", Unknown, False),
        297: ("ID_Einst_SuMk125_zeit_0_3", Unknown, False),
        298: ("ID_Einst_SuMk125_zeit_1_2", Unknown, False),
        299: ("ID_Einst_SuMk125_zeit_1_3", Unknown, False),
        300: ("ID_Einst_SuMk125_zeit_2_2", Unknown, False),
        301: ("ID_Einst_SuMk125_zeit_2_3", Unknown, False),
        302: ("ID_Einst_SuMk1TG_zeit_0_0", Unknown, False),
        303: ("ID_Einst_SuMk1TG_zeit_0_1", Unknown, False),
        304: ("ID_Einst_SuMk1TG_zeit_1_0", Unknown, False),
        305: ("ID_Einst_SuMk1TG_zeit_1_1", Unknown, False),
        306: ("ID_Einst_SuMk1TG_zeit_2_0", Unknown, False),
        307: ("ID_Einst_SuMk1TG_zeit_2_1", Unknown, False),
        308: ("ID_Einst_SuMk1TG_zeit_0_2", Unknown, False),
        309: ("ID_Einst_SuMk1TG_zeit_0_3", Unknown, False),
        310: ("ID_Einst_SuMk1TG_zeit_1_2", Unknown, False),
        311: ("ID_Einst_SuMk1TG_zeit_1_3", Unknown, False),
        312: ("ID_Einst_SuMk1TG_zeit_2_2", Unknown, False),
        313: ("ID_Einst_SuMk1TG_zeit_2_3", Unknown, False),
        314: ("ID_Einst_SuMk1TG_zeit_0_4", Unknown, False),
        315: ("ID_Einst_SuMk1TG_zeit_0_5", Unknown, False),
        316: ("ID_Einst_SuMk1TG_zeit_1_4", Unknown, False),
        317: ("ID_Einst_SuMk1TG_zeit_1_5", Unknown, False),
        318: ("ID_Einst_SuMk1TG_zeit_2_4", Unknown, False),
        319: ("ID_Einst_SuMk1TG_zeit_2_5", Unknown, False),
        320: ("ID_Einst_SuMk1TG_zeit_0_6", Unknown, False),
        321: ("ID_Einst_SuMk1TG_zeit_0_7", Unknown, False),
        322: ("ID_Einst_SuMk1TG_zeit_1_6", Unknown, False),
        323: ("ID_Einst_SuMk1TG_zeit_1_7", Unknown, False),
        324: ("ID_Einst_SuMk1TG_zeit_2_6", Unknown, False),
        325: ("ID_Einst_SuMk1TG_zeit_2_7", Unknown, False),
        326: ("ID_Einst_SuMk1TG_zeit_0_8", Unknown, False),
        327: ("ID_Einst_SuMk1TG_zeit_0_9", Unknown, False),
        328: ("ID_Einst_SuMk1TG_zeit_1_8", Unknown, False),
        329: ("ID_Einst_SuMk1TG_zeit_1_9", Unknown, False),
        330: ("ID_Einst_SuMk1TG_zeit_2_8", Unknown, False),
        331: ("ID_Einst_SuMk1TG_zeit_2_9", Unknown, False),
        332: ("ID_Einst_SuMk1TG_zeit_0_10", Unknown, False),
        333: ("ID_Einst_SuMk1TG_zeit_0_11", Unknown, False),
        334: ("ID_Einst_SuMk1TG_zeit_1_10", Unknown, False),
        335: ("ID_Einst_SuMk1TG_zeit_1_11", Unknown, False),
        336: ("ID_Einst_SuMk1TG_zeit_2_10", Unknown, False),
        337: ("ID_Einst_SuMk1TG_zeit_2_11", Unknown, False),
        338: ("ID_Einst_SuMk1TG_zeit_0_12", Unknown, False),
        339: ("ID_Einst_SuMk1TG_zeit_0_13", Unknown, False),
        340: ("ID_Einst_SuMk1TG_zeit_1_12", Unknown, False),
        341: ("ID_Einst_SuMk1TG_zeit_1_13", Unknown, False),
        342: ("ID_Einst_SuMk1TG_zeit_2_12", Unknown, False),
        343: ("ID_Einst_SuMk1TG_zeit_2_13", Unknown, False),
        344: ("ID_Einst_SuMk2_akt2", Unknown, False),
        345: ("ID_Einst_SuMk2Wo_zeit_0_0", Unknown, False),
        346: ("ID_Einst_SuMk2Wo_zeit_0_1", Unknown, False),
        347: ("ID_Einst_SuMk2Wo_zeit_1_0", Unknown, False),
        348: ("ID_Einst_SuMk2Wo_zeit_1_1", Unknown, False),
        349: ("ID_Einst_SuMk2Wo_zeit_2_0", Unknown, False),
        350: ("ID_Einst_SuMk2Wo_zeit_2_1", Unknown, False),
        351: ("ID_Einst_SuMk225_zeit_0_0", Unknown, False),
        352: ("ID_Einst_SuMk225_zeit_0_1", Unknown, False),
        353: ("ID_Einst_SuMk225_zeit_1_0", Unknown, False),
        354: ("ID_Einst_SuMk225_zeit_1_1", Unknown, False),
        355: ("ID_Einst_SuMk225_zeit_2_0", Unknown, False),
        356: ("ID_Einst_SuMk225_zeit_2_1", Unknown, False),
        357: ("ID_Einst_SuMk225_zeit_0_2", Unknown, False),
        358: ("ID_Einst_SuMk225_zeit_0_3", Unknown, False),
        359: ("ID_Einst_SuMk225_zeit_1_2", Unknown, False),
        360: ("ID_Einst_SuMk225_zeit_1_3", Unknown, False),
        361: ("ID_Einst_SuMk225_zeit_2_2", Unknown, False),
        362: ("ID_Einst_SuMk225_zeit_2_3", Unknown, False),
        363: ("ID_Einst_SuMk2Tg_zeit_0_0", Unknown, False),
        364: ("ID_Einst_SuMk2Tg_zeit_0_1", Unknown, False),
        365: ("ID_Einst_SuMk2Tg_zeit_1_0", Unknown, False),
        366: ("ID_Einst_SuMk2Tg_zeit_1_1", Unknown, False),
        367: ("ID_Einst_SuMk2Tg_zeit_2_0", Unknown, False),
        368: ("ID_Einst_SuMk2Tg_zeit_2_1", Unknown, False),
        369: ("ID_Einst_SuMk2Tg_zeit_0_2", Unknown, False),
        370: ("ID_Einst_SuMk2Tg_zeit_0_3", Unknown, False),
        371: ("ID_Einst_SuMk2Tg_zeit_1_2", Unknown, False),
        372: ("ID_Einst_SuMk2Tg_zeit_1_3", Unknown, False),
        373: ("ID_Einst_SuMk2Tg_zeit_2_2", Unknown, False),
        374: ("ID_Einst_SuMk2Tg_zeit_2_3", Unknown, False),
        375: ("ID_Einst_SuMk2Tg_zeit_0_4", Unknown, False),
        376: ("ID_Einst_SuMk2Tg_zeit_0_5", Unknown, False),
        377: ("ID_Einst_SuMk2Tg_zeit_1_4", Unknown, False),
        378: ("ID_Einst_SuMk2Tg_zeit_1_5", Unknown, False),
        379: ("ID_Einst_SuMk2Tg_zeit_2_4", Unknown, False),
        380: ("ID_Einst_SuMk2Tg_zeit_2_5", Unknown, False),
        381: ("ID_Einst_SuMk2Tg_zeit_0_6", Unknown, False),
        382: ("ID_Einst_SuMk2Tg_zeit_0_7", Unknown, False),
        383: ("ID_Einst_SuMk2Tg_zeit_1_6", Unknown, False),
        384: ("ID_Einst_SuMk2Tg_zeit_1_7", Unknown, False),
        385: ("ID_Einst_SuMk2Tg_zeit_2_6", Unknown, False),
        386: ("ID_Einst_SuMk2Tg_zeit_2_7", Unknown, False),
        387: ("ID_Einst_SuMk2Tg_zeit_0_8", Unknown, False),
        388: ("ID_Einst_SuMk2Tg_zeit_0_9", Unknown, False),
        389: ("ID_Einst_SuMk2Tg_zeit_1_8", Unknown, False),
        390: ("ID_Einst_SuMk2Tg_zeit_1_9", Unknown, False),
        391: ("ID_Einst_SuMk2Tg_zeit_2_8", Unknown, False),
        392: ("ID_Einst_SuMk2Tg_zeit_2_9", Unknown, False),
        393: ("ID_Einst_SuMk2Tg_zeit_0_10", Unknown, False),
        394: ("ID_Einst_SuMk2Tg_zeit_0_11", Unknown, False),
        395: ("ID_Einst_SuMk2Tg_zeit_1_10", Unknown, False),
        396: ("ID_Einst_SuMk2Tg_zeit_1_11", Unknown, False),
        397: ("ID_Einst_SuMk2Tg_zeit_2_10", Unknown, False),
        398: ("ID_Einst_SuMk2Tg_zeit_2_11", Unknown, False),
        399: ("ID_Einst_SuMk2Tg_zeit_0_12", Unknown, False),
        400: ("ID_Einst_SuMk2Tg_zeit_0_13", Unknown, False),
        401: ("ID_Einst_SuMk2Tg_zeit_1_12", Unknown, False),
        402: ("ID_Einst_SuMk2Tg_zeit_1_13", Unknown, False),
        403: ("ID_Einst_SuMk2Tg_zeit_2_12", Unknown, False),
        404: ("ID_Einst_SuMk2Tg_zeit_2_13", Unknown, False),
        405: ("ID_Einst_SUBW_akt2", Unknown, False),
        406: ("ID_Einst_SuBwWO_zeit_0_0", Unknown, False),
        407: ("ID_Einst_SuBwWO_zeit_0_1", Unknown, False),
        408: ("ID_Einst_SuBwWO_zeit_1_0", Unknown, False),
        409: ("ID_Einst_SuBwWO_zeit_1_1", Unknown, False),
        410: ("ID_Einst_SuBwWO_zeit_2_0", Unknown, False),
        411: ("ID_Einst_SuBwWO_zeit_2_1", Unknown, False),
        412: ("ID_Einst_SuBwWO_zeit_3_0", Unknown, False),
        413: ("ID_Einst_SuBwWO_zeit_3_1", Unknown, False),
        414: ("ID_Einst_SuBwWO_zeit_4_0", Unknown, False),
        415: ("ID_Einst_SuBwWO_zeit_4_1", Unknown, False),
        416: ("ID_Einst_SuBw25_zeit_0_0", Unknown, False),
        417: ("ID_Einst_SuBw25_zeit_0_1", Unknown, False),
        418: ("ID_Einst_SuBw25_zeit_1_0", Unknown, False),
        419: ("ID_Einst_SuBw25_zeit_1_1", Unknown, False),
        420: ("ID_Einst_SuBw25_zeit_2_0", Unknown, False),
        421: ("ID_Einst_SuBw25_zeit_2_1", Unknown, False),
        422: ("ID_Einst_SuBw25_zeit_3_0", Unknown, False),
        423: ("ID_Einst_SuBw25_zeit_3_1", Unknown, False),
        424: ("ID_Einst_SuBw25_zeit_4_0", Unknown, False),
        425: ("ID_Einst_SuBw25_zeit_4_1", Unknown, False),
        426: ("ID_Einst_SuBw25_zeit_0_2", Unknown, False),
        427: ("ID_Einst_SuBw25_zeit_0_3", Unknown, False),
        428: ("ID_Einst_SuBw25_zeit_1_2", Unknown, False),
        429: ("ID_Einst_SuBw25_zeit_1_3", Unknown, False),
        430: ("ID_Einst_SuBw25_zeit_2_2", Unknown, False),
        431: ("ID_Einst_SuBw25_zeit_2_3", Unknown, False),
        432: ("ID_Einst_SuBw25_zeit_3_2", Unknown, False),
        433: ("ID_Einst_SuBw25_zeit_3_3", Unknown, False),
        434: ("ID_Einst_SuBw25_zeit_4_2", Unknown, False),
        435: ("ID_Einst_SuBw25_zeit_4_3", Unknown, False),
        436: ("ID_Einst_SuBwTG_zeit_0_0", Unknown, False),
        437: ("ID_Einst_SuBwTG_zeit_0_1", Unknown, False),
        438: ("ID_Einst_SuBwTG_zeit_1_0", Unknown, False),
        439: ("ID_Einst_SuBwTG_zeit_1_1", Unknown, False),
        440: ("ID_Einst_SuBwTG_zeit_2_0", Unknown, False),
        441: ("ID_Einst_SuBwTG_zeit_2_1", Unknown, False),
        442: ("ID_Einst_SuBwTG_zeit_3_0", Unknown, False),
        443: ("ID_Einst_SuBwTG_zeit_3_1", Unknown, False),
        444: ("ID_Einst_SuBwTG_zeit_4_0", Unknown, False),
        445: ("ID_Einst_SuBwTG_zeit_4_1", Unknown, False),
        446: ("ID_Einst_SuBwTG_zeit_0_2", Unknown, False),
        447: ("ID_Einst_SuBwTG_zeit_0_3", Unknown, False),
        448: ("ID_Einst_SuBwTG_zeit_1_2", Unknown, False),
        449: ("ID_Einst_SuBwTG_zeit_1_3", Unknown, False),
        450: ("ID_Einst_SuBwTG_zeit_2_2", Unknown, False),
        451: ("ID_Einst_SuBwTG_zeit_2_3", Unknown, False),
        452: ("ID_Einst_SuBwTG_zeit_3_2", Unknown, False),
        453: ("ID_Einst_SuBwTG_zeit_3_3", Unknown, False),
        454: ("ID_Einst_SuBwTG_zeit_4_2", Unknown, False),
        455: ("ID_Einst_SuBwTG_zeit_4_3", Unknown, False),
        456: ("ID_Einst_SuBwTG_zeit_0_4", Unknown, False),
        457: ("ID_Einst_SuBwTG_zeit_0_5", Unknown, False),
        458: ("ID_Einst_SuBwTG_zeit_1_4", Unknown, False),
        459: ("ID_Einst_SuBwTG_zeit_1_5", Unknown, False),
        460: ("ID_Einst_SuBwTG_zeit_2_4", Unknown, False),
        461: ("ID_Einst_SuBwTG_zeit_2_5", Unknown, False),
        462: ("ID_Einst_SuBwTG_zeit_3_4", Unknown, False),
        463: ("ID_Einst_SuBwTG_zeit_3_5", Unknown, False),
        464: ("ID_Einst_SuBwTG_zeit_4_4", Unknown, False),
        465: ("ID_Einst_SuBwTG_zeit_4_5", Unknown, False),
        466: ("ID_Einst_SuBwTG_zeit_0_6", Unknown, False),
        467: ("ID_Einst_SuBwTG_zeit_0_7", Unknown, False),
        468: ("ID_Einst_SuBwTG_zeit_1_6", Unknown, False),
        469: ("ID_Einst_SuBwTG_zeit_1_7", Unknown, False),
        470: ("ID_Einst_SuBwTG_zeit_2_6", Unknown, False),
        471: ("ID_Einst_SuBwTG_zeit_2_7", Unknown, False),
        472: ("ID_Einst_SuBwTG_zeit_3_6", Unknown, False),
        473: ("ID_Einst_SuBwTG_zeit_3_7", Unknown, False),
        474: ("ID_Einst_SuBwTG_zeit_4_6", Unknown, False),
        475: ("ID_Einst_SuBwTG_zeit_4_7", Unknown, False),
        476: ("ID_Einst_SuBwTG_zeit_0_8", Unknown, False),
        477: ("ID_Einst_SuBwTG_zeit_0_9", Unknown, False),
        478: ("ID_Einst_SuBwTG_zeit_1_8", Unknown, False),
        479: ("ID_Einst_SuBwTG_zeit_1_9", Unknown, False),
        480: ("ID_Einst_SuBwTG_zeit_2_8", Unknown, False),
        481: ("ID_Einst_SuBwTG_zeit_2_9", Unknown, False),
        482: ("ID_Einst_SuBwTG_zeit_3_8", Unknown, False),
        483: ("ID_Einst_SuBwTG_zeit_3_9", Unknown, False),
        484: ("ID_Einst_SuBwTG_zeit_4_8", Unknown, False),
        485: ("ID_Einst_SuBwTG_zeit_4_9", Unknown, False),
        486: ("ID_Einst_SuBwTG_zeit_0_10", Unknown, False),
        487: ("ID_Einst_SuBwTG_zeit_0_11", Unknown, False),
        488: ("ID_Einst_SuBwTG_zeit_1_10", Unknown, False),
        489: ("ID_Einst_SuBwTG_zeit_1_11", Unknown, False),
        490: ("ID_Einst_SuBwTG_zeit_2_10", Unknown, False),
        491: ("ID_Einst_SuBwTG_zeit_2_11", Unknown, False),
        492: ("ID_Einst_SuBwTG_zeit_3_10", Unknown, False),
        493: ("ID_Einst_SuBwTG_zeit_3_11", Unknown, False),
        494: ("ID_Einst_SuBwTG_zeit_4_10", Unknown, False),
        495: ("ID_Einst_SuBwTG_zeit_4_11", Unknown, False),
        496: ("ID_Einst_SuBwTG_zeit_0_12", Unknown, False),
        497: ("ID_Einst_SuBwTG_zeit_0_13", Unknown, False),
        498: ("ID_Einst_SuBwTG_zeit_1_12", Unknown, False),
        499: ("ID_Einst_SuBwTG_zeit_1_13", Unknown, False),
        500: ("ID_Einst_SuBwTG_zeit_2_12", Unknown, False),
        501: ("ID_Einst_SuBwTG_zeit_2_13", Unknown, False),
        502: ("ID_Einst_SuBwTG_zeit_3_12", Unknown, False),
        503: ("ID_Einst_SuBwTG_zeit_3_13", Unknown, False),
        504: ("ID_Einst_SuBwTG_zeit_4_12", Unknown, False),
        505: ("ID_Einst_SuBwTG_zeit_4_13", Unknown, False),
        506: ("ID_Einst_SuZIP_akt", Unknown, False),
        507: ("ID_Einst_SuZIPWo_zeit_0_0", Unknown, False),
        508: ("ID_Einst_SuZIPWo_zeit_0_1", Unknown, False),
        509: ("ID_Einst_SuZIPWo_zeit_1_0", Unknown, False),
        510: ("ID_Einst_SuZIPWo_zeit_1_1", Unknown, False),
        511: ("ID_Einst_SuZIPWo_zeit_2_0", Unknown, False),
        512: ("ID_Einst_SuZIPWo_zeit_2_1", Unknown, False),
        513: ("ID_Einst_SuZIPWo_zeit_3_0", Unknown, False),
        514: ("ID_Einst_SuZIPWo_zeit_3_1", Unknown, False),
        515: ("ID_Einst_SuZIPWo_zeit_4_0", Unknown, False),
        516: ("ID_Einst_SuZIPWo_zeit_4_1", Unknown, False),
        517: ("ID_Einst_SuZIP25_zeit_0_0", Unknown, False),
        518: ("ID_Einst_SuZIP25_zeit_0_1", Unknown, False),
        519: ("ID_Einst_SuZIP25_zeit_1_0", Unknown, False),
        520: ("ID_Einst_SuZIP25_zeit_1_1", Unknown, False),
        521: ("ID_Einst_SuZIP25_zeit_2_0", Unknown, False),
        522: ("ID_Einst_SuZIP25_zeit_2_1", Unknown, False),
        523: ("ID_Einst_SuZIP25_zeit_3_0", Unknown, False),
        524: ("ID_Einst_SuZIP25_zeit_3_1", Unknown, False),
        525: ("ID_Einst_SuZIP25_zeit_4_0", Unknown, False),
        526: ("ID_Einst_SuZIP25_zeit_4_1", Unknown, False),
        527: ("ID_Einst_SuZIP25_zeit_0_2", Unknown, False),
        528: ("ID_Einst_SuZIP25_zeit_0_3", Unknown, False),
        529: ("ID_Einst_SuZIP25_zeit_1_2", Unknown, False),
        530: ("ID_Einst_SuZIP25_zeit_1_3", Unknown, False),
        531: ("ID_Einst_SuZIP25_zeit_2_2", Unknown, False),
        532: ("ID_Einst_SuZIP25_zeit_2_3", Unknown, False),
        533: ("ID_Einst_SuZIP25_zeit_3_2", Unknown, False),
        534: ("ID_Einst_SuZIP25_zeit_3_3", Unknown, False),
        535: ("ID_Einst_SuZIP25_zeit_4_2", Unknown, False),
        536: ("ID_Einst_SuZIP25_zeit_4_3", Unknown, False),
        537: ("ID_Einst_SuZIPTg_zeit_0_0", Unknown, False),
        538: ("ID_Einst_SuZIPTg_zeit_0_1", Unknown, False),
        539: ("ID_Einst_SuZIPTg_zeit_1_0", Unknown, False),
        540: ("ID_Einst_SuZIPTg_zeit_1_1", Unknown, False),
        541: ("ID_Einst_SuZIPTg_zeit_2_0", Unknown, False),
        542: ("ID_Einst_SuZIPTg_zeit_2_1", Unknown, False),
        543: ("ID_Einst_SuZIPTg_zeit_3_0", Unknown, False),
        544: ("ID_Einst_SuZIPTg_zeit_3_1", Unknown, False),
        545: ("ID_Einst_SuZIPTg_zeit_4_0", Unknown, False),
        546: ("ID_Einst_SuZIPTg_zeit_4_1", Unknown, False),
        547: ("ID_Einst_SuZIPTg_zeit_0_2", Unknown, False),
        548: ("ID_Einst_SuZIPTg_zeit_0_3", Unknown, False),
        549: ("ID_Einst_SuZIPTg_zeit_1_2", Unknown, False),
        550: ("ID_Einst_SuZIPTg_zeit_1_3", Unknown, False),
        551: ("ID_Einst_SuZIPTg_zeit_2_2", Unknown, False),
        552: ("ID_Einst_SuZIPTg_zeit_2_3", Unknown, False),
        553: ("ID_Einst_SuZIPTg_zeit_3_2", Unknown, False),
        554: ("ID_Einst_SuZIPTg_zeit_3_3", Unknown, False),
        555: ("ID_Einst_SuZIPTg_zeit_4_2", Unknown, False),
        556: ("ID_Einst_SuZIPTg_zeit_4_3", Unknown, False),
        557: ("ID_Einst_SuZIPTg_zeit_0_4", Unknown, False),
        558: ("ID_Einst_SuZIPTg_zeit_0_5", Unknown, False),
        559: ("ID_Einst_SuZIPTg_zeit_1_4", Unknown, False),
        560: ("ID_Einst_SuZIPTg_zeit_1_5", Unknown, False),
        561: ("ID_Einst_SuZIPTg_zeit_2_4", Unknown, False),
        562: ("ID_Einst_SuZIPTg_zeit_2_5", Unknown, False),
        563: ("ID_Einst_SuZIPTg_zeit_3_4", Unknown, False),
        564: ("ID_Einst_SuZIPTg_zeit_3_5", Unknown, False),
        565: ("ID_Einst_SuZIPTg_zeit_4_4", Unknown, False),
        566: ("ID_Einst_SuZIPTg_zeit_4_5", Unknown, False),
        567: ("ID_Einst_SuZIPTg_zeit_0_6", Unknown, False),
        568: ("ID_Einst_SuZIPTg_zeit_0_7", Unknown, False),
        569: ("ID_Einst_SuZIPTg_zeit_1_6", Unknown, False),
        570: ("ID_Einst_SuZIPTg_zeit_1_7", Unknown, False),
        571: ("ID_Einst_SuZIPTg_zeit_2_6", Unknown, False),
        572: ("ID_Einst_SuZIPTg_zeit_2_7", Unknown, False),
        573: ("ID_Einst_SuZIPTg_zeit_3_6", Unknown, False),
        574: ("ID_Einst_SuZIPTg_zeit_3_7", Unknown, False),
        575: ("ID_Einst_SuZIPTg_zeit_4_6", Unknown, False),
        576: ("ID_Einst_SuZIPTg_zeit_4_7", Unknown, False),
        577: ("ID_Einst_SuZIPTg_zeit_0_8", Unknown, False),
        578: ("ID_Einst_SuZIPTg_zeit_0_9", Unknown, False),
        579: ("ID_Einst_SuZIPTg_zeit_1_8", Unknown, False),
        580: ("ID_Einst_SuZIPTg_zeit_1_9", Unknown, False),
        581: ("ID_Einst_SuZIPTg_zeit_2_8", Unknown, False),
        582: ("ID_Einst_SuZIPTg_zeit_2_9", Unknown, False),
        583: ("ID_Einst_SuZIPTg_zeit_3_8", Unknown, False),
        584: ("ID_Einst_SuZIPTg_zeit_3_9", Unknown, False),
        585: ("ID_Einst_SuZIPTg_zeit_4_8", Unknown, False),
        586: ("ID_Einst_SuZIPTg_zeit_4_9", Unknown, False),
        587: ("ID_Einst_SuZIPTg_zeit_0_10", Unknown, False),
        588: ("ID_Einst_SuZIPTg_zeit_0_11", Unknown, False),
        589: ("ID_Einst_SuZIPTg_zeit_1_10", Unknown, False),
        590: ("ID_Einst_SuZIPTg_zeit_1_11", Unknown, False),
        591: ("ID_Einst_SuZIPTg_zeit_2_10", Unknown, False),
        592: ("ID_Einst_SuZIPTg_zeit_2_11", Unknown, False),
        593: ("ID_Einst_SuZIPTg_zeit_3_10", Unknown, False),
        594: ("ID_Einst_SuZIPTg_zeit_3_11", Unknown, False),
        595: ("ID_Einst_SuZIPTg_zeit_4_10", Unknown, False),
        596: ("ID_Einst_SuZIPTg_zeit_4_11", Unknown, False),
        597: ("ID_Einst_SuZIPTg_zeit_0_12", Unknown, False),
        598: ("ID_Einst_SuZIPTg_zeit_0_13", Unknown, False),
        599: ("ID_Einst_SuZIPTg_zeit_1_12", Unknown, False),
        600: ("ID_Einst_SuZIPTg_zeit_1_13", Unknown, False),
        601: ("ID_Einst_SuZIPTg_zeit_2_12", Unknown, False),
        602: ("ID_Einst_SuZIPTg_zeit_2_13", Unknown, False),
        603: ("ID_Einst_SuZIPTg_zeit_3_12", Unknown, False),
        604: ("ID_Einst_SuZIPTg_zeit_3_13", Unknown, False),
        605: ("ID_Einst_SuZIPTg_zeit_4_12", Unknown, False),
        606: ("ID_Einst_SuZIPTg_zeit_4_13", Unknown, False),
        607: ("ID_Einst_SuSwb_akt", Unknown, False),
        608: ("ID_Einst_SuSwbWo_zeit_0_0", Unknown, False),
        609: ("ID_Einst_SuSwbWo_zeit_0_1", Unknown, False),
        610: ("ID_Einst_SuSwbWo_zeit_1_0", Unknown, False),
        611: ("ID_Einst_SuSwbWo_zeit_1_1", Unknown, False),
        612: ("ID_Einst_SuSwbWo_zeit_2_0", Unknown, False),
        613: ("ID_Einst_SuSwbWo_zeit_2_1", Unknown, False),
        614: ("ID_Einst_SuSwb25_zeit_0_0", Unknown, False),
        615: ("ID_Einst_SuSwb25_zeit_0_1", Unknown, False),
        616: ("ID_Einst_SuSwb25_zeit_1_0", Unknown, False),
        617: ("ID_Einst_SuSwb25_zeit_1_1", Unknown, False),
        618: ("ID_Einst_SuSwb25_zeit_2_0", Unknown, False),
        619: ("ID_Einst_SuSwb25_zeit_2_1", Unknown, False),
        620: ("ID_Einst_SuSwb25_zeit_0_2", Unknown, False),
        621: ("ID_Einst_SuSwb25_zeit_0_3", Unknown, False),
        622: ("ID_Einst_SuSwb25_zeit_1_2", Unknown, False),
        623: ("ID_Einst_SuSwb25_zeit_1_3", Unknown, False),
        624: ("ID_Einst_SuSwb25_zeit_2_2", Unknown, False),
        625: ("ID_Einst_SuSwb25_zeit_2_3", Unknown, False),
        626: ("ID_Einst_SuSwbTg_zeit_0_0", Unknown, False),
        627: ("ID_Einst_SuSwbTg_zeit_0_1", Unknown, False),
        628: ("ID_Einst_SuSwbTg_zeit_1_0", Unknown, False),
        629: ("ID_Einst_SuSwbTg_zeit_1_1", Unknown, False),
        630: ("ID_Einst_SuSwbTg_zeit_2_0", Unknown, False),
        631: ("ID_Einst_SuSwbTg_zeit_2_1", Unknown, False),
        632: ("ID_Einst_SuSwbTg_zeit_0_2", Unknown, False),
        633: ("ID_Einst_SuSwbTg_zeit_0_3", Unknown, False),
        634: ("ID_Einst_SuSwbTg_zeit_1_2", Unknown, False),
        635: ("ID_Einst_SuSwbTg_zeit_1_3", Unknown, False),
        636: ("ID_Einst_SuSwbTg_zeit_2_2", Unknown, False),
        637: ("ID_Einst_SuSwbTg_zeit_2_3", Unknown, False),
        638: ("ID_Einst_SuSwbTg_zeit_0_4", Unknown, False),
        639: ("ID_Einst_SuSwbTg_zeit_0_5", Unknown, False),
        640: ("ID_Einst_SuSwbTg_zeit_1_4", Unknown, False),
        641: ("ID_Einst_SuSwbTg_zeit_1_5", Unknown, False),
        642: ("ID_Einst_SuSwbTg_zeit_2_4", Unknown, False),
        643: ("ID_Einst_SuSwbTg_zeit_2_5", Unknown, False),
        644: ("ID_Einst_SuSwbTg_zeit_0_6", Unknown, False),
        645: ("ID_Einst_SuSwbTg_zeit_0_7", Unknown, False),
        646: ("ID_Einst_SuSwbTg_zeit_1_6", Unknown, False),
        647: ("ID_Einst_SuSwbTg_zeit_1_7", Unknown, False),
        648: ("ID_Einst_SuSwbTg_zeit_2_6", Unknown, False),
        649: ("ID_Einst_SuSwbTg_zeit_2_7", Unknown, False),
        650: ("ID_Einst_SuSwbTg_zeit_0_8", Unknown, False),
        651: ("ID_Einst_SuSwbTg_zeit_0_9", Unknown, False),
        652: ("ID_Einst_SuSwbTg_zeit_1_8", Unknown, False),
        653: ("ID_Einst_SuSwbTg_zeit_1_9", Unknown, False),
        654: ("ID_Einst_SuSwbTg_zeit_2_8", Unknown, False),
        655: ("ID_Einst_SuSwbTg_zeit_2_9", Unknown, False),
        656: ("ID_Einst_SuSwbTg_zeit_0_10", Unknown, False),
        657: ("ID_Einst_SuSwbTg_zeit_0_11", Unknown, False),
        658: ("ID_Einst_SuSwbTg_zeit_1_10", Unknown, False),
        659: ("ID_Einst_SuSwbTg_zeit_1_11", Unknown, False),
        660: ("ID_Einst_SuSwbTg_zeit_2_10", Unknown, False),
        661: ("ID_Einst_SuSwbTg_zeit_2_11", Unknown, False),
        662: ("ID_Einst_SuSwbTg_zeit_0_12", Unknown, False),
        663: ("ID_Einst_SuSwbTg_zeit_0_13", Unknown, False),
        664: ("ID_Einst_SuSwbTg_zeit_1_12", Unknown, False),
        665: ("ID_Einst_SuSwbTg_zeit_1_13", Unknown, False),
        666: ("ID_Einst_SuSwbTg_zeit_2_12", Unknown, False),
        667: ("ID_Einst_SuSwbTg_zeit_2_13", Unknown, False),
        668: ("ID_Zaehler_BetrZeitWP", Unknown, False),  # <------
        669: ("ID_Zaehler_BetrZeitVD1", Unknown, False),  # <------
        670: ("ID_Zaehler_BetrZeitVD2", Unknown, False),
        671: ("ID_Zaehler_BetrZeitZWE1", Unknown, False),
        672: ("ID_Zaehler_BetrZeitZWE2", Unknown, False),
        673: ("ID_Zaehler_BetrZeitZWE3", Unknown, False),
        674: ("ID_Zaehler_BetrZeitImpVD1", Unknown, False),
        675: ("ID_Zaehler_BetrZeitImpVD2", Unknown, False),
        676: ("ID_Zaehler_BetrZeitEZMVD1", Unknown, False),
        677: ("ID_Zaehler_BetrZeitEZMVD2", Unknown, False),
        678: ("ID_Einst_Entl_Typ_0", Unknown, False),
        679: ("ID_Einst_Entl_Typ_1", Unknown, False),
        680: ("ID_Einst_Entl_Typ_2", Unknown, False),
        681: ("ID_Einst_Entl_Typ_3", Unknown, False),
        682: ("ID_Einst_Entl_Typ_4", Unknown, False),
        683: ("ID_Einst_Entl_Typ_5", Unknown, False),
        684: ("ID_Einst_Entl_Typ_6", Unknown, False),
        685: ("ID_Einst_Entl_Typ_7", Unknown, False),
        686: ("ID_Einst_Entl_Typ_8", Unknown, False),
        687: ("ID_Einst_Entl_Typ_9", Unknown, False),
        688: ("ID_Einst_Entl_Typ_10", Unknown, False),
        689: ("ID_Einst_Entl_Typ_11", Unknown, False),
        690: ("ID_Einst_Entl_Typ_12", Unknown, False),
        691: ("ID_Einst_Vorl_max_MK1", Unknown, False),
        692: ("ID_Einst_Vorl_max_MK2", Unknown, False),
        693: ("ID_SU_FrkdMK1", Unknown, False),
        694: ("ID_SU_FrkdMK2", Unknown, False),
        695: ("ID_Ba_Hz_MK1_akt", Unknown, False),
        696: ("ID_Ba_Hz_MK2_akt", Unknown, False),
        697: ("ID_Einst_Zirk_Ein_akt", Unknown, False),
        698: ("ID_Einst_Zirk_Aus_akt", Unknown, False),
        699: ("ID_Einst_Heizgrenze", Unknown, False),
        700: ("ID_Einst_Heizgrenze_Temp", Unknown, False),
        701: ("ID_VariablenIBNgespeichert", Unknown, False),
        702: ("ID_SchonIBNAssistant", Unknown, False),
        703: ("ID_Heizgrenze_0", Unknown, False),
        704: ("ID_Heizgrenze_1", Unknown, False),
        705: ("ID_Heizgrenze_2", Unknown, False),
        706: ("ID_Heizgrenze_3", Unknown, False),
        707: ("ID_Heizgrenze_4", Unknown, False),
        708: ("ID_Heizgrenze_5", Unknown, False),
        709: ("ID_Heizgrenze_6", Unknown, False),
        710: ("ID_Heizgrenze_7", Unknown, False),
        711: ("ID_Heizgrenze_8", Unknown, False),
        712: ("ID_Heizgrenze_9", Unknown, False),
        713: ("ID_Heizgrenze_10", Unknown, False),
        714: ("ID_Heizgrenze_11", Unknown, False),
        715: ("ID_SchemenIBNgewahlt", Unknown, False),
        716: ("ID_Switchoff_file_0_0", Unknown, False),
        717: ("ID_Switchoff_file_1_0", Unknown, False),
        718: ("ID_Switchoff_file_2_0", Unknown, False),
        719: ("ID_Switchoff_file_3_0", Unknown, False),
        720: ("ID_Switchoff_file_4_0", Unknown, False),
        721: ("ID_Switchoff_file_0_1", Unknown, False),
        722: ("ID_Switchoff_file_1_1", Unknown, False),
        723: ("ID_Switchoff_file_2_1", Unknown, False),
        724: ("ID_Switchoff_file_3_1", Unknown, False),
        725: ("ID_Switchoff_file_4_1", Unknown, False),
        726: ("ID_DauerDatenLoggerAktiv", Unknown, False),
        727: ("ID_Laufvar_Heizgrenze", Unknown, False),
        728: ("ID_Zaehler_BetrZeitHz", Unknown, False),
        729: ("ID_Zaehler_BetrZeitBW", Unknown, False),
        730: ("ID_Zaehler_BetrZeitKue", Unknown, False),
        731: ("ID_SU_FstdHz", Unknown, False),
        732: ("ID_SU_FstdBw", Unknown, False),
        733: ("ID_SU_FstdSwb", Unknown, False),
        734: ("ID_SU_FstdMK1", Unknown, False),
        735: ("ID_SU_FstdMK2", Unknown, False),
        736: ("ID_FerienAbsenkungHz", Unknown, False),
        737: ("ID_FerienAbsenkungMK1", Unknown, False),
        738: ("ID_FerienAbsenkungMK2", Unknown, False),
        739: ("ID_FerienModusAktivHz", Unknown, False),
        740: ("ID_FerienModusAktivBw", Unknown, False),
        741: ("ID_FerienModusAktivSwb", Unknown, False),
        742: ("ID_FerienModusAktivMk1", Unknown, False),
        743: ("ID_FerienModusAktivMk2", Unknown, False),
        744: ("ID_DisplayContrast_akt", Unknown, False),
        745: ("ID_Ba_Hz_saved", Unknown, False),
        746: ("ID_Ba_Bw_saved", Unknown, False),
        747: ("ID_Ba_Sw_saved", Unknown, False),
        748: ("ID_Ba_Hz_MK1_saved", Unknown, False),
        749: ("ID_Ba_Hz_MK2_saved", Unknown, False),
        750: ("ID_AdresseIP_akt", Unknown, False),
        751: ("ID_SubNetMask_akt", Unknown, False),
        752: ("ID_Add_Broadcast_akt", Unknown, False),
        753: ("ID_Add_StdGateway_akt", Unknown, False),
        754: ("ID_DHCPServerAktiv_akt", Unknown, False),
        755: ("ID_WebserverPasswort_1_akt", Unknown, False),
        756: ("ID_WebserverPasswort_2_akt", Unknown, False),
        757: ("ID_WebserverPasswort_3_akt", Unknown, False),
        758: ("ID_WebserverPasswort_4_akt", Unknown, False),
        759: ("ID_WebserverPasswort_5_akt", Unknown, False),
        760: ("ID_WebserverPasswort_6_akt", Unknown, False),
        761: ("ID_WebServerWerteBekommen", Unknown, False),
        762: ("ID_Einst_ParBetr_akt", Unknown, False),
        763: ("ID_Einst_WpAnz_akt", Unknown, False),
        764: ("ID_Einst_PhrTime_akt", Unknown, False),
        765: ("ID_Einst_HysPar_akt", Unknown, False),
        766: ("ID_IP_PB_Slave_0", Unknown, False),
        767: ("ID_IP_PB_Slave_1", Unknown, False),
        768: ("ID_IP_PB_Slave_2", Unknown, False),
        769: ("ID_IP_PB_Slave_3", Unknown, False),
        770: ("ID_IP_PB_Slave_4", Unknown, False),
        771: ("ID_IP_PB_Slave_5", Unknown, False),
        772: ("ID_Einst_BwHup_akt_backup", Unknown, False),
        773: ("ID_Einst_SuMk3_akt", Unknown, False),
        774: ("ID_Einst_HzMK3E_akt", Unknown, False),
        775: ("ID_Einst_HzMK3ANH_akt", Unknown, False),
        776: ("ID_Einst_HzMK3ABS_akt", Unknown, False),
        777: ("ID_Einst_HzMK3Hgr_akt", Unknown, False),
        778: ("ID_Einst_HzFtMK3Vl_akt", Unknown, False),
        779: ("ID_Ba_Hz_MK3_akt", MixedCircuitMode, True),
        780: ("ID_Einst_MK3Typ_akt", Unknown, False),
        781: ("ID_Einst_RTypMK3_akt", Unknown, False),
        782: ("ID_Einst_MK3LzFaktor_akt", Unknown, False),
        783: ("ID_Einst_MK3PerFaktor_akt", Unknown, False),
        784: ("ID_FerienModusAktivMk3", Unknown, False),
        785: ("ID_SU_FrkdMK3", Unknown, False),
        786: ("ID_FerienAbsenkungMK3", Unknown, False),
        787: ("ID_SU_FstdMK3", Unknown, False),
        788: ("ID_Einst_SuMk3_akt2", Unknown, False),
        789: ("ID_Einst_SuMk3Wo_zeit_0_0", Unknown, False),
        790: ("ID_Einst_SuMk3Wo_zeit_0_1", Unknown, False),
        791: ("ID_Einst_SuMk3Wo_zeit_1_0", Unknown, False),
        792: ("ID_Einst_SuMk3Wo_zeit_1_1", Unknown, False),
        793: ("ID_Einst_SuMk3Wo_zeit_2_0", Unknown, False),
        794: ("ID_Einst_SuMk3Wo_zeit_2_1", Unknown, False),
        795: ("ID_Einst_SuMk325_zeit_0_0", Unknown, False),
        796: ("ID_Einst_SuMk325_zeit_0_1", Unknown, False),
        797: ("ID_Einst_SuMk325_zeit_1_0", Unknown, False),
        798: ("ID_Einst_SuMk325_zeit_1_1", Unknown, False),
        799: ("ID_Einst_SuMk325_zeit_2_0", Unknown, False),
        800: ("ID_Einst_SuMk325_zeit_2_1", Unknown, False),
        801: ("ID_Einst_SuMk325_zeit_0_2", Unknown, False),
        802: ("ID_Einst_SuMk325_zeit_0_3", Unknown, False),
        803: ("ID_Einst_SuMk325_zeit_1_2", Unknown, False),
        804: ("ID_Einst_SuMk325_zeit_1_3", Unknown, False),
        805: ("ID_Einst_SuMk325_zeit_2_2", Unknown, False),
        806: ("ID_Einst_SuMk325_zeit_2_3", Unknown, False),
        807: ("ID_Einst_SuMk3Tg_zeit_0_0", Unknown, False),
        808: ("ID_Einst_SuMk3Tg_zeit_0_1", Unknown, False),
        809: ("ID_Einst_SuMk3Tg_zeit_1_0", Unknown, False),
        810: ("ID_Einst_SuMk3Tg_zeit_1_1", Unknown, False),
        811: ("ID_Einst_SuMk3Tg_zeit_2_0", Unknown, False),
        812: ("ID_Einst_SuMk3Tg_zeit_2_1", Unknown, False),
        813: ("ID_Einst_SuMk3Tg_zeit_0_2", Unknown, False),
        814: ("ID_Einst_SuMk3Tg_zeit_0_3", Unknown, False),
        815: ("ID_Einst_SuMk3Tg_zeit_1_2", Unknown, False),
        816: ("ID_Einst_SuMk3Tg_zeit_1_3", Unknown, False),
        817: ("ID_Einst_SuMk3Tg_zeit_2_2", Unknown, False),
        818: ("ID_Einst_SuMk3Tg_zeit_2_3", Unknown, False),
        819: ("ID_Einst_SuMk3Tg_zeit_0_4", Unknown, False),
        820: ("ID_Einst_SuMk3Tg_zeit_0_5", Unknown, False),
        821: ("ID_Einst_SuMk3Tg_zeit_1_4", Unknown, False),
        822: ("ID_Einst_SuMk3Tg_zeit_1_5", Unknown, False),
        823: ("ID_Einst_SuMk3Tg_zeit_2_4", Unknown, False),
        824: ("ID_Einst_SuMk3Tg_zeit_2_5", Unknown, False),
        825: ("ID_Einst_SuMk3Tg_zeit_0_6", Unknown, False),
        826: ("ID_Einst_SuMk3Tg_zeit_0_7", Unknown, False),
        827: ("ID_Einst_SuMk3Tg_zeit_1_6", Unknown, False),
        828: ("ID_Einst_SuMk3Tg_zeit_1_7", Unknown, False),
        829: ("ID_Einst_SuMk3Tg_zeit_2_6", Unknown, False),
        830: ("ID_Einst_SuMk3Tg_zeit_2_7", Unknown, False),
        831: ("ID_Einst_SuMk3Tg_zeit_0_8", Unknown, False),
        832: ("ID_Einst_SuMk3Tg_zeit_0_9", Unknown, False),
        833: ("ID_Einst_SuMk3Tg_zeit_1_8", Unknown, False),
        834: ("ID_Einst_SuMk3Tg_zeit_1_9", Unknown, False),
        835: ("ID_Einst_SuMk3Tg_zeit_2_8", Unknown, False),
        836: ("ID_Einst_SuMk3Tg_zeit_2_9", Unknown, False),
        837: ("ID_Einst_SuMk3Tg_zeit_0_10", Unknown, False),
        838: ("ID_Einst_SuMk3Tg_zeit_0_11", Unknown, False),
        839: ("ID_Einst_SuMk3Tg_zeit_1_10", Unknown, False),
        840: ("ID_Einst_SuMk3Tg_zeit_1_11", Unknown, False),
        841: ("ID_Einst_SuMk3Tg_zeit_2_10", Unknown, False),
        842: ("ID_Einst_SuMk3Tg_zeit_2_11", Unknown, False),
        843: ("ID_Einst_SuMk3Tg_zeit_0_12", Unknown, False),
        844: ("ID_Einst_SuMk3Tg_zeit_0_13", Unknown, False),
        845: ("ID_Einst_SuMk3Tg_zeit_1_12", Unknown, False),
        846: ("ID_Einst_SuMk3Tg_zeit_1_13", Unknown, False),
        847: ("ID_Einst_SuMk3Tg_zeit_2_12", Unknown, False),
        848: ("ID_Einst_SuMk3Tg_zeit_2_13", Unknown, False),
        849: ("ID_Ba_Hz_MK3_saved", Unknown, False),
        850: ("ID_Einst_Kuhl_Zeit_Ein_akt", Hours, True),
        851: ("ID_Einst_Kuhl_Zeit_Aus_akt", Hours, True),
        852: ("ID_Waermemenge_Seit", Unknown, False),
        853: ("ID_Waermemenge_WQ", Unknown, False),
        854: ("ID_Waermemenge_Hz", Unknown, False),
        855: ("ID_Waermemenge_WQ_ges", Unknown, False),
        856: ("ID_Einst_Entl_Typ_13", Unknown, False),
        857: ("ID_Einst_Entl_Typ_14", Unknown, False),
        858: ("ID_Einst_Entl_Typ_15", Unknown, False),
        859: ("ID_Zaehler_BetrZeitSW", Unknown, False),
        860: ("ID_Einst_Fernwartung_akt", Unknown, False),
        861: ("ID_AdresseIPServ_akt", Unknown, False),
        862: ("ID_Einst_TA_EG_akt", Unknown, False),
        863: ("ID_Einst_TVLmax_EG_akt", Unknown, False),
        864: ("ID_Einst_Popt_Nachlauf_akt", Unknown, False),
        865: ("ID_FernwartungVertrag_akt", Unknown, False),
        866: ("ID_FernwartungAktuZeit", Unknown, False),
        867: ("ID_Einst_Effizienzpumpe_Nominal_akt", Unknown, False),
        868: ("ID_Einst_Effizienzpumpe_Minimal_akt", Unknown, False),
        869: ("ID_Einst_Effizienzpumpe_akt", Unknown, False),
        870: ("ID_Einst_Waermemenge_akt", Unknown, False),
        871: ("ID_Einst_Wm_Versorgung_Korrektur_akt", Unknown, False),
        872: ("ID_Einst_Wm_Auswertung_Korrektur_akt", Unknown, False),
        873: ("ID_SoftwareUpdateJetztGemacht_akt", Unknown, False),
        874: ("ID_WP_SerienNummer_DATUM", Unknown, False),
        875: ("ID_WP_SerienNummer_HEX", Unknown, False),
        876: ("ID_WP_SerienNummer_INDEX", Unknown, False),
        877: ("ID_ProgWerteWebSrvBeobarten", Unknown, False),
        878: ("ID_Waermemenge_BW", Unknown, False),
        879: ("ID_Waermemenge_SW", Unknown, False),
        880: ("ID_Waermemenge_Datum", Unknown, False),
        881: ("ID_Einst_Solar_akt", SolarMode, True),
        882: ("ID_BSTD_Solar", Unknown, False),
        883: ("ID_Einst_TDC_Koll_Max_akt", Unknown, False),
        884: ("ID_Einst_Akt_Kuehlung_akt", Unknown, False),
        885: ("ID_Einst_Vorlauf_VBO_akt", Unknown, False),
        886: ("ID_Einst_KRHyst_akt", Unknown, False),
        887: ("ID_Einst_Akt_Kuehl_Speicher_min_akt", Unknown, False),
        888: ("ID_Einst_Akt_Kuehl_Freig_WQE_akt", Unknown, False),
        889: ("ID_NDAB_WW_Anzahl", Unknown, False),
        890: ("ID_NDS_WW_KD_Quitt", Unknown, False),
        891: ("ID_Einst_AbtZykMin_akt", Unknown, False),
        892: ("ID_Einst_VD2_Zeit_Min_akt", Unknown, False),
        893: ("ID_Einst_Hysterese_HR_verkuerzt_akt", Unknown, False),
        894: ("ID_Einst_BA_Lueftung_akt", VentilationMode, True),
        895: ("ID_Einst_SuLuf_akt", Unknown, False),
        896: ("ID_Einst_SuLufWo_zeit_0_0_0", Unknown, False),
        897: ("ID_Einst_SuLufWo_zeit_0_1_0", Unknown, False),
        898: ("ID_Einst_SuLufWo_zeit_0_2_0", Unknown, False),
        899: ("ID_Einst_SuLuf25_zeit_0_0_0", Unknown, False),
        900: ("ID_Einst_SuLuf25_zeit_0_1_0", Unknown, False),
        901: ("ID_Einst_SuLuf25_zeit_0_2_0", Unknown, False),
        902: ("ID_Einst_SuLuf25_zeit_0_0_2", Unknown, False),
        903: ("ID_Einst_SuLuf25_zeit_0_1_2", Unknown, False),
        904: ("ID_Einst_SuLuf25_zeit_0_2_2", Unknown, False),
        905: ("ID_Einst_SuLufTg_zeit_0_0_0", Unknown, False),
        906: ("ID_Einst_SuLufTg_zeit_0_1_0", Unknown, False),
        907: ("ID_Einst_SuLufTg_zeit_0_2_0", Unknown, False),
        908: ("ID_Einst_SuLufTg_zeit_0_0_2", Unknown, False),
        909: ("ID_Einst_SuLufTg_zeit_0_1_2", Unknown, False),
        910: ("ID_Einst_SuLufTg_zeit_0_2_2", Unknown, False),
        911: ("ID_Einst_SuLufTg_zeit_0_0_4", Unknown, False),
        912: ("ID_Einst_SuLufTg_zeit_0_1_4", Unknown, False),
        913: ("ID_Einst_SuLufTg_zeit_0_2_4", Unknown, False),
        914: ("ID_Einst_SuLufTg_zeit_0_0_6", Unknown, False),
        915: ("ID_Einst_SuLufTg_zeit_0_1_6", Unknown, False),
        916: ("ID_Einst_SuLufTg_zeit_0_2_6", Unknown, False),
        917: ("ID_Einst_SuLufTg_zeit_0_0_8", Unknown, False),
        918: ("ID_Einst_SuLufTg_zeit_0_1_8", Unknown, False),
        919: ("ID_Einst_SuLufTg_zeit_0_2_8", Unknown, False),
        920: ("ID_Einst_SuLufTg_zeit_0_0_10", Unknown, False),
        921: ("ID_Einst_SuLufTg_zeit_0_1_10", Unknown, False),
        922: ("ID_Einst_SuLufTg_zeit_0_2_10", Unknown, False),
        923: ("ID_Einst_SuLufTg_zeit_0_0_12", Unknown, False),
        924: ("ID_Einst_SuLufTg_zeit_0_1_12", Unknown, False),
        925: ("ID_Einst_SuLufTg_zeit_0_2_12", Unknown, False),
        926: ("ID_Einst_SuLufWo_zeit_1_0_0", Unknown, False),
        927: ("ID_Einst_SuLufWo_zeit_1_1_0", Unknown, False),
        928: ("ID_Einst_SuLufWo_zeit_1_2_0", Unknown, False),
        929: ("ID_Einst_SuLuf25_zeit_1_0_0", Unknown, False),
        930: ("ID_Einst_SuLuf25_zeit_1_1_0", Unknown, False),
        931: ("ID_Einst_SuLuf25_zeit_1_2_0", Unknown, False),
        932: ("ID_Einst_SuLuf25_zeit_1_0_2", Unknown, False),
        933: ("ID_Einst_SuLuf25_zeit_1_1_2", Unknown, False),
        934: ("ID_Einst_SuLuf25_zeit_1_2_2", Unknown, False),
        935: ("ID_Einst_SuLufTg_zeit_1_0_0", Unknown, False),
        936: ("ID_Einst_SuLufTg_zeit_1_1_0", Unknown, False),
        937: ("ID_Einst_SuLufTg_zeit_1_2_0", Unknown, False),
        938: ("ID_Einst_SuLufTg_zeit_1_0_2", Unknown, False),
        939: ("ID_Einst_SuLufTg_zeit_1_1_2", Unknown, False),
        940: ("ID_Einst_SuLufTg_zeit_1_2_2", Unknown, False),
        941: ("ID_Einst_SuLufTg_zeit_1_0_4", Unknown, False),
        942: ("ID_Einst_SuLufTg_zeit_1_1_4", Unknown, False),
        943: ("ID_Einst_SuLufTg_zeit_1_2_4", Unknown, False),
        944: ("ID_Einst_SuLufTg_zeit_1_0_6", Unknown, False),
        945: ("ID_Einst_SuLufTg_zeit_1_1_6", Unknown, False),
        946: ("ID_Einst_SuLufTg_zeit_1_2_6", Unknown, False),
        947: ("ID_Einst_SuLufTg_zeit_1_0_8", Unknown, False),
        948: ("ID_Einst_SuLufTg_zeit_1_1_8", Unknown, False),
        949: ("ID_Einst_SuLufTg_zeit_1_2_8", Unknown, False),
        950: ("ID_Einst_SuLufTg_zeit_1_0_10", Unknown, False),
        951: ("ID_Einst_SuLufTg_zeit_1_1_10", Unknown, False),
        952: ("ID_Einst_SuLufTg_zeit_1_2_10", Unknown, False),
        953: ("ID_Einst_SuLufTg_zeit_1_0_12", Unknown, False),
        954: ("ID_Einst_SuLufTg_zeit_1_1_12", Unknown, False),
        955: ("ID_Einst_SuLufTg_zeit_1_2_12", Unknown, False),
        956: ("ID_FerienModusAktivLueftung", Unknown, False),
        957: ("ID_Einst_BA_Lueftung_saved", Unknown, False),
        958: ("ID_SU_FrkdLueftung", Unknown, False),
        959: ("ID_SU_FstdLueftung", Unknown, False),
        960: ("ID_Einst_Luf_Feuchteschutz_akt", Unknown, False),
        961: ("ID_Einst_Luf_Reduziert_akt", Unknown, False),
        962: ("ID_Einst_Luf_Nennlueftung_akt", Unknown, False),
        963: ("ID_Einst_Luf_Intensivlueftung_akt", Unknown, False),
        964: ("ID_Timer_Fil_4Makt", Unknown, False),
        965: ("ID_Timer_Fil_WoAkt", Unknown, False),
        966: ("ID_Sollwert_KuCft3_akt", Celsius, True),
        967: ("ID_Sollwert_AtDif3_akt", Celsius, True),
        968: ("ID_Bitmaske_0", Unknown, False),
        969: ("ID_Einst_Lueftungsstufen", Unknown, False),
        970: ("ID_SysEin_Meldung_TDI", Unknown, False),
        971: ("ID_SysEin_Typ_WZW", Unknown, False),
        972: ("ID_Einst_GLT_aktiviert", Unknown, False),
        973: ("ID_Einst_BW_max", Unknown, False),
        974: ("ID_Einst_Sollwert_TRL_Kuehlen", Unknown, False),
        975: ("ID_Einst_Medium_Waermequelle", Unknown, False),
        976: ("ID_Einst_Photovoltaik_akt", Unknown, False),
        977: ("ID_Einst_Multispeicher_akt", Unknown, False),
        978: ("ID_Einst_PKuehlTime_akt", Unknown, False),
        979: ("ID_Einst_Minimale_Ruecklaufsolltemperatur", Unknown, False),
        980: ("ID_RBE_Einflussfaktor_RT_akt", Unknown, False),
        981: ("ID_RBE_Freigabe_Kuehlung_akt", Unknown, False),
        982: ("ID_RBE_Waermeverteilsystem_akt", Unknown, False),
        983: ("ID_RBE_Zeit_Heizstab_aktiv", Unknown, False),
        984: ("ID_SEC_ND_Alarmgrenze", Unknown, False),
        985: ("ID_SEC_HD_Alarmgrenze", Unknown, False),
        986: ("ID_SEC_Abtauendtemperatur", Unknown, False),
        987: ("ID_Einst_Min_RPM_BW", Unknown, False),
        988: ("ID_Einst_Luf_Feuchteschutz_Faktor_akt", Unknown, False),
        989: ("ID_Einst_Luf_Reduziert_Faktor_akt", Unknown, False),
        990: ("ID_Einst_Luf_Nennlueftung_Faktor_akt", Unknown, False),
        991: ("ID_Einst_Luf_Intensivlueftung_Faktor_akt", Unknown, False),
        992: ("ID_Einst_Freigabe_Zeit_ZWE", Unknown, False),
        993: ("ID_Einst_min_VL_Kuehl", Unknown, False),
        994: ("ID_Einst_Warmwasser_Nachheizung", Unknown, False),
        995: ("ID_Switchoff_file_LWD2_0_0", Unknown, False),
        996: ("ID_Switchoff_file_LWD2_1_0", Unknown, False),
        997: ("ID_Switchoff_file_LWD2_2_0", Unknown, False),
        998: ("ID_Switchoff_file_LWD2_3_0", Unknown, False),
        999: ("ID_Switchoff_file_LWD2_4_0", Unknown, False),
        1000: ("ID_Switchoff_file_LWD2_0_1", Unknown, False),
        1001: ("ID_Switchoff_file_LWD2_1_1", Unknown, False),
        1002: ("ID_Switchoff_file_LWD2_2_1", Unknown, False),
        1003: ("ID_Switchoff_file_LWD2_3_1", Unknown, False),
        1004: ("ID_Switchoff_file_LWD2_4_1", Unknown, False),
        1005: ("ID_Switchoff_index_LWD2", Unknown, False),
        1006: ("ID_Einst_Effizienzpumpe_Nominal_2", Unknown, False),
        1007: ("ID_Einst_Effizienzpumpe_Minimal_2", Unknown, False),
        1008: ("ID_Einst_Wm_Versorgung_Korrektur_2", Unknown, False),
        1009: ("ID_Einst_Wm_Auswertung_Korrektur_2", Unknown, False),
        1010: ("ID_Einst_isTwin", Unknown, False),
        1011: ("ID_Einst_TAmin_2", Unknown, False),
        1012: ("ID_Einst_TVLmax_2", Unknown, False),
        1013: ("ID_Einst_TA_EG_2", Unknown, False),
        1014: ("ID_Einst_TVLmax_EG_2", Unknown, False),
        1015: ("ID_Waermemenge_Hz_2", Unknown, False),
        1016: ("ID_Waermemenge_BW_2", Unknown, False),
        1017: ("ID_Waermemenge_SW_2", Unknown, False),
        1018: ("ID_Waermemenge_Seit_2", Unknown, False),
        1019: ("ID_Einst_Entl_Typ_15_2", Unknown, False),
        1020: ("ID_Einst_WW_Nachheizung_max", Unknown, False),
        1021: ("ID_Einst_Kuhl_Zeit_Ein_RT", Unknown, False),
        1022: ("ID_Einst_ZWE1_Pos", Unknown, False),
        1023: ("ID_Einst_ZWE2_Pos", Unknown, False),
        1024: ("ID_Einst_ZWE3_Pos", Unknown, False),
        1025: ("ID_Einst_Leistung_ZWE", Unknown, False),
        1026: ("ID_WP_SN2_DATUM", Unknown, False),
        1027: ("ID_WP_SN2_HEX", Unknown, False),
        1028: ("ID_WP_SN2_INDEX", Unknown, False),
        1029: ("ID_CWP_saved2", Unknown, False),
        1030: ("ID_Einst_SmartGrid", Unknown, False),
        1031: ("ID_Einst_P155_HDS", Unknown, False),
        1032: ("ID_Einst_P155_PumpHeat_Max", Unknown, False),
        1033: ("ID_Einst_P155_PumpHeatCtrl", Unknown, False),
        1034: ("ID_Einst_P155_PumpDHWCtrl", Unknown, False),
        1035: ("ID_Einst_P155_PumpDHW_RPM", Unknown, False),
        1036: ("ID_Einst_P155_PumpPoolCtrl", Unknown, False),
        1037: ("ID_Einst_P155_PumpPool_RPM", Unknown, False),
        1038: ("ID_Einst_P155_PumpCool_RPM", Unknown, False),
        1039: ("ID_Einst_P155_PumpVBOCtrl", Unknown, False),
        1040: ("ID_Einst_P155_PumpVBO_RPM_C", Unknown, False),
        1041: ("ID_Einst_P155_PumpDHW_Max", Unknown, False),
        1042: ("ID_Einst_P155_PumpPool_Max", Unknown, False),
        1043: ("ID_Einst_P155_Sperrband_1", Unknown, False),
        1044: ("ID_Einst_P155_Leistungsfreigabe", Unknown, False),
        1045: ("ID_Einst_P155_DHW_Freq", Unknown, False),
        1046: ("ID_Einst_SWHUP", Unknown, False),
        1047: ("ID_Einst_P155_SWB_Freq", Unknown, False),
        1048: ("ID_Einst_MK1_Regelung", Unknown, False),
        1049: ("ID_Einst_MK2_Regelung", Unknown, False),
        1050: ("ID_Einst_MK3_Regelung", Unknown, False),
        1051: ("ID_Einst_PV_WW_Sperrzeit", Unknown, False),
        1052: ("ID_Einst_Warmwasser_extra", Unknown, False),
        1053: ("ID_Einst_Vorl_akt_Kuehl", Unknown, False),
        1054: ("ID_WP_SN3_DATUM", Unknown, False),
        1055: ("ID_WP_SN3_HEX", Unknown, False),
        1056: ("ID_WP_SN3_INDEX", Unknown, False),
        1057: ("ID_Einst_Vorlauf_ZUP", Unknown, False),
        1058: ("ID_Einst_Abtauen_im_Warmwasser", Unknown, False),
        1059: ("ID_Waermemenge_ZWE", Unknown, False),
        1060: ("ID_Waermemenge_Reset", Unknown, False),
        1061: ("ID_Waermemenge_Reset_2", Unknown, False),
        1062: ("ID_Einst_Brunnenpumpe_min", Unknown, False),
        1063: ("ID_Einst_Brunnenpumpe_max", Unknown, False),
        1064: ("ID_Einst_SmartHomeID", Unknown, False),
        1065: ("ID_Einst_SmartHK", Unknown, False),
        1066: ("ID_Einst_SmartMK1", Unknown, False),
        1067: ("ID_Einst_SmartMK2", Unknown, False),
        1068: ("ID_Einst_SmartMK3", Unknown, False),
        1069: ("ID_Einst_SmartWW", Unknown, False),
        1070: ("ID_Einst_SmartDefrost", Unknown, False),
        1071: ("ID_Einst_Empty1071", Unknown, False),
        1072: ("ID_Einst_MinVLMK1", Unknown, False),
        1073: ("ID_Einst_MinVLMK2", Unknown, False),
        1074: ("ID_Einst_MinVLMK3", Unknown, False),
        1075: ("ID_Einst_MaxVLMK1", Unknown, False),
        1076: ("ID_Einst_MaxVLMK2", Unknown, False),
        1077: ("ID_Einst_MaxVLMK3", Unknown, False),
        1078: ("ID_Einst_SmartPlusHz", Unknown, False),
        1079: ("ID_Einst_SmartMinusHz", Unknown, False),
        1080: ("ID_Einst_SmartPlusMK1", Unknown, False),
        1081: ("ID_Einst_SmartMinusMK1", Unknown, False),
        1082: ("ID_Einst_SmartPlusMK2", Unknown, False),
        1083: ("ID_Einst_SmartMinusMK2", Unknown, False),
        1084: ("ID_Einst_SmartPlusMK3", Unknown, False),
        1085: ("ID_Einst_SmartMinusMK3", Unknown, False),
    }

    def __init__(self, data):
        self._parse(data)

    def _parse(self, data):
        for i, d in enumerate(data):
            id, conv, w = self.parameters.get(i, (None, None, False))
            if not id:
                continue
            else:
                setattr(self, id, conv(i, d, w))

    def get(self, id):
        return getattr(self, id, None)
